Main Page Class List Class Members

# Nv::Blast::Serialization::Asset::Asset::Builder Class Reference

`#include <NvBlastExtLlSerialization.capn.h>`

List of all members.

## Public Types
typedef Asset | Builds
## Public Member Functions
void | adoptChunks (::capnp::Orphan< ::capnp::List< ::Nv::Blast::Serialization::NvBlastChunk >> &&value)
void | adoptGraph (::capnp::Orphan< ::Nv::Blast::Serialization::NvBlastSupportGraph > &&value)
void | adoptHeader (::capnp::Orphan< ::Nv::Blast::Serialization::NvBlastDataBlock > &&value)
void | adoptID (::capnp::Orphan< ::Nv::Blast::Serialization::UUID > &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::NvBlastSupportGraph > | disownGraph ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::NvBlastDataBlock > | disownHeader ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::UUID > | disownID ()
inline::uint32_t | getBondCount ()
inline::uint32_t | getChunkCount ()
inline::capnp::List < ::Nv::Blast::Serialization::NvBlastChunk > ::Builder | getChunks ()
inline::uint32_t | getFirstSubsupportChunkIndex ()
inline::Nv::Blast::Serialization::NvBlastSupportGraph::Builder | getGraph ()
inline::Nv::Blast::Serialization::NvBlastDataBlock::Builder | getHeader ()
inline::Nv::Blast::Serialization::UUID::Builder | getID ()
inline::uint32_t | getLeafChunkCount ()
bool | hasChunks ()
bool | hasGraph ()
bool | hasHeader ()
bool | hasID ()
inline::capnp::List < ::Nv::Blast::Serialization::NvBlastChunk > ::Builder | initChunks (unsigned int size)
inline::Nv::Blast::Serialization::NvBlastSupportGraph::Builder | initGraph ()
inline::Nv::Blast::Serialization::NvBlastDataBlock::Builder | initHeader ()
inline::Nv::Blast::Serialization::UUID::Builder | initID ()
| operator Reader () const
void | setBondCount (::uint32_t value)
void | setChunkCount (::uint32_t value)
void | setChunks (::capnp::List< ::Nv::Blast::Serialization::NvBlastChunk >::Reader value)
void | setFirstSubsupportChunkIndex (::uint32_t value)
void | setGraph (::Nv::Blast::Serialization::NvBlastSupportGraph::Reader value)
void | setHeader (::Nv::Blast::Serialization::NvBlastDataBlock::Reader value)
void | setID (::Nv::Blast::Serialization::UUID::Reader value)
void | setLeafChunkCount (::uint32_t value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const

## Member Typedef Documentation

typedef Asset Nv::Blast::Serialization::Asset::Asset::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::Asset::Asset::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::Asset::Asset::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::Asset::Asset::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::Asset::Asset::Builder::adoptChunks | ( | ::capnp::Orphan< ::capnp::List< ::Nv::Blast::Serialization::NvBlastChunk >> && | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::adoptGraph | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::NvBlastSupportGraph > && | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::adoptHeader | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::NvBlastDataBlock > && | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::adoptID | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::UUID > && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::Asset::Asset::Builder::asReader | ( |  | ) | const`[inline]`

capnp::Orphan<::Nv::Blast::Serialization::NvBlastSupportGraph > Nv::Blast::Serialization::Asset::Asset::Builder::disownGraph | ( |  | ) | `[inline]`

capnp::Orphan<::Nv::Blast::Serialization::NvBlastDataBlock > Nv::Blast::Serialization::Asset::Asset::Builder::disownHeader | ( |  | ) | `[inline]`

capnp::Orphan<::Nv::Blast::Serialization::UUID > Nv::Blast::Serialization::Asset::Asset::Builder::disownID | ( |  | ) | `[inline]`

uint32_t Nv::Blast::Serialization::Asset::Asset::Builder::getBondCount | ( |  | ) | `[inline]`

uint32_t Nv::Blast::Serialization::Asset::Asset::Builder::getChunkCount | ( |  | ) | `[inline]`

capnp::List<::Nv::Blast::Serialization::NvBlastChunk >::Builder Nv::Blast::Serialization::Asset::Asset::Builder::getChunks | ( |  | ) | `[inline]`

uint32_t Nv::Blast::Serialization::Asset::Asset::Builder::getFirstSubsupportChunkIndex | ( |  | ) | `[inline]`

Nv::Blast::Serialization::NvBlastSupportGraph::Builder Nv::Blast::Serialization::Asset::Asset::Builder::getGraph | ( |  | ) | `[inline]`

Nv::Blast::Serialization::NvBlastDataBlock::Builder Nv::Blast::Serialization::Asset::Asset::Builder::getHeader | ( |  | ) | `[inline]`

Nv::Blast::Serialization::UUID::Builder Nv::Blast::Serialization::Asset::Asset::Builder::getID | ( |  | ) | `[inline]`

uint32_t Nv::Blast::Serialization::Asset::Asset::Builder::getLeafChunkCount | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Builder::hasChunks | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Builder::hasGraph | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Builder::hasHeader | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::Asset::Asset::Builder::hasID | ( |  | ) | `[inline]`

capnp::List<::Nv::Blast::Serialization::NvBlastChunk >::Builder Nv::Blast::Serialization::Asset::Asset::Builder::initChunks | ( | unsigned int | size | ) | `[inline]`

Nv::Blast::Serialization::NvBlastSupportGraph::Builder Nv::Blast::Serialization::Asset::Asset::Builder::initGraph | ( |  | ) | `[inline]`

Nv::Blast::Serialization::NvBlastDataBlock::Builder Nv::Blast::Serialization::Asset::Asset::Builder::initHeader | ( |  | ) | `[inline]`

Nv::Blast::Serialization::UUID::Builder Nv::Blast::Serialization::Asset::Asset::Builder::initID | ( |  | ) | `[inline]`

Nv::Blast::Serialization::Asset::Asset::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setBondCount | ( | ::uint32_t | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setChunkCount | ( | ::uint32_t | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setChunks | ( | ::capnp::List< ::Nv::Blast::Serialization::NvBlastChunk >::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setFirstSubsupportChunkIndex | ( | ::uint32_t | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setGraph | ( | ::Nv::Blast::Serialization::NvBlastSupportGraph::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setHeader | ( | ::Nv::Blast::Serialization::NvBlastDataBlock::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setID | ( | ::Nv::Blast::Serialization::UUID::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::Asset::Asset::Builder::setLeafChunkCount | ( | ::uint32_t | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::Asset::Asset::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::Asset::Asset::Builder::totalSize | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtLlSerialization.capn.h